Bug 208682 - utsrelease.h is missing from the kernel-headers package
Summary: utsrelease.h is missing from the kernel-headers package
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-30 06:00 UTC by Trevin Beattie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-01 06:18:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to include utsrelease.h in the kernel-headers package (350 bytes, patch)
2006-09-30 06:00 UTC, Trevin Beattie
no flags Details | Diff

Description Trevin Beattie 2006-09-30 06:00:53 UTC
Description of problem:
kernel-headers does not include the file /usr/include/linux/utsrelease.h, which
was split out from /usr/include/linux/version.h in kernel 2.6.18 (and apparently
in Fedora's patches to 2.6.17 as well).

The macro UTS_RELEASE is required by some 3rd-party software in order to rebuild
their kernel modules from source (in my case, vmmon/vmnet and fglrx).  If this
macro is not defined, the installers complain that the kernel headers don't
match the version of the running kernel.

Version-Release number of selected component (if applicable):
kernel-headers-2.6.17-1.2630.fc6

How reproducible:
Always

Steps to Reproduce:
1. Install VMwareWorkstation-5.5.2-29772
2. Run vmware-config.pl
-or-
1. Download and run ati-driver-installer-8.29.6.run

Actual results:
The kernel module fails to compile.

Expected results:
The kernel module should compile and successfully load into the running kernel.

Additional info:
http://jwulf.livejournal.com/26731.html
http://www.vmware.com/community/message.jspa?messageID=440977
http://www.fedoraforum.org/forum/showthread.php?t=122947

Comment 1 Trevin Beattie 2006-09-30 06:00:53 UTC
Created attachment 137464 [details]
Patch to include utsrelease.h in the kernel-headers package

Comment 2 Trevin Beattie 2006-10-01 06:18:49 UTC
Nevermind; I found that utsrelease.h is installed under
/usr/src/kernels/{version} by the kernel-devel package.



Note You need to log in before you can comment on or make changes to this bug.